Bug 1276966 - nfs share in fstab not mounted at boot after upgrade to fc22
nfs share in fstab not mounted at boot after upgrade to fc22
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 17:21 EST by SP
Modified: 2016-12-20 10:17 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:17:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description SP 2015-11-01 17:21:22 EST
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:41.0) Gecko/20100101 Firefox/41.0
Build Identifier: 

A nfs share in fstab does not mount at boot.  It worked in preceding distributions and also works on an fc22 i686 laptop with the same configuration - but not on either of my fc22 x86_64 machines.
The fstab entry:
192.168.2.1:/home/harry/Movies   /home/harry/Movies/  nfs  rsize=8192,wsize=8192,timeo=14,intr
It can be mounted from the command line thus:
mount /home/harry/Movies 
so I suspect that systemd is reading fstab before the network and NFS is up - though I do not know how to diagnose this.

Reproducible: Always

Steps to Reproduce:
1.fstab entry as described above
2.Boot into either runlevel 3 or 5
3.
Actual Results:  
nfs share not mounted on specified directory

Expected Results:  
nfs share should mount to specified directory as it did with previous fedora versions
Comment 1 Kevin Fenzi 2015-11-02 12:11:22 EST
Moving to systemd as it handles mounting things on boot.
Comment 2 Paul Howarth 2015-11-05 04:12:18 EST
I see the same thing with f23.
Comment 3 Fedora End Of Life 2016-07-19 15:58:45 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Paul Howarth 2016-07-20 04:47:32 EDT
As per Comment 2, I saw the same thing with f23.
Comment 5 Fedora End Of Life 2016-11-24 08:00:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 10:17:37 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.